# Generated by Django 2.2 on 2019-09-27 09:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('gestion_de_la_diffusion', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Album',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, help_text="(Facultatif) Tous les formats d'images courant sont acceptés. L'image doit être libre de droits.", null=True, upload_to='uploads', verbose_name='fichier image')),
                ('description_image', models.CharField(blank=True, help_text="(Facultatif) Description de l'image : nature, auteur,personnes représentées...", max_length=500, null=True, verbose_name="description de l'image")),
                ('nom', models.CharField(help_text="Nom de l'album (Renseignera le champ TALB dans le Tag ID3v2 du fichier audio).", max_length=255, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Artiste',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(help_text="Nom de l'artiste (Renseignera le champ TPE1 dans le Tag ID3v2 du fichier audio).", max_length=255, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Genre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(help_text='Genre de la musique (Renseignera le champ TCON dans le Tag ID3v2 du fichier audio).', max_length=500, unique=True)),
            ],
            options={
                'ordering': ['nom'],
            },
        ),
        migrations.CreateModel(
            name='Piste',
            fields=[
                ('objetsonore_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, to='gestion_de_la_diffusion.ObjetSonore')),
                ('diffusable_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='gestion_de_la_diffusion.Diffusable')),
                ('position', models.PositiveIntegerField(help_text="Position de la piste dans l'album (doit être un entier positif, différent des positions des autres pistes de l'album).")),
                ('album', models.ForeignKey(help_text="Nom de l'album (Renseigne le champ TALB dans le Tag ID3v2 du fichier audio).", on_delete=django.db.models.deletion.PROTECT, to='gestion_des_musiques.Album')),
                ('artiste', models.ForeignKey(help_text='Artiste principal (Renseigne le champ TPE1 dans le Tag ID3v2 du fichier audio).', on_delete=django.db.models.deletion.PROTECT, to='gestion_des_musiques.Artiste')),
                ('genre', models.ForeignKey(help_text='Genre de la musique (Renseigne le champ TCON dans le Tag ID3v2 du fichier audio).', on_delete=django.db.models.deletion.PROTECT, to='gestion_des_musiques.Genre')),
                ('provenance', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='gestion_de_la_diffusion.Provenance')),
            ],
            options={
                'ordering': ['album', 'position'],
                'unique_together': {('album', 'position')},
            },
            bases=('gestion_de_la_diffusion.diffusable', 'gestion_de_la_diffusion.objetsonore'),
        ),
    ]
